print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local tobaccoHudFile = "Paletten/hud_fill_tobacco.dds"
	local tobaccoHudFileSmall = "Paletten/hud_fill_tobacco_small.dds"
	
    local tobaccoFilType = g_fillTypeManager:addFillType("TOBACCO", g_i18n:getText("tobacco"), true, pricebeer * 1.8, 0.00045, math.rad(10), tobaccoHudFile, tobaccoHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hastobacco=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hastobacco=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "TOBACCO" then
		hastobacco=true
	end;
		
end;

		if hasmaize and not hastobacco then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("TOBACCO")
		local price = g_fillTypeManager:getFillTypeByName("TOBACCO").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("TOBACCO")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)